# Generated by Django 2.0.5 on 2022-05-18 09:48

from django.db import migrations, models
import django.db.models.deletion
import project_management.mixins


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0104_customer_customer_order_visibility_allowed'),
        ('project_management', '0027_merge_20220512_1323'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectRoleType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(max_length=200)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Provider')),
            ],
            bases=(project_management.mixins.ProjectSettingAuditMixin, models.Model),
        ),
        migrations.AlterUniqueTogether(
            name='projectroletype',
            unique_together={('provider', 'role')},
        ),
    ]
